// w_attr.h - declarations for useful Windows attributes
// Copyright (c) 1994 by Ron Burk

#ifndef W_ATTR_H
#define W_ATTR_H

#if !(defined(_INC_WINDOWS) || defined(__WINDOWS_H))
    #include <windows.h>
#endif

#if !defined(WUIOBJDB_H)
    #include "wuiobjdb.h"
#endif


//  TWuiWindows

class   TWuiColorProperty : public TWuiLongProperty
    {
public:
    TWuiColorProperty(const TWuiName ObjectName, COLORREF *Address=0);
    virtual AWuiObject   *Clone(const TWuiName NewName,
                           int Depth=0);
    virtual void          Copy(const AWuiObject *Other,
                                 int Depth);
    virtual TWuiName    ClassName() const;
    virtual TWuiName    ParentClassName() const;
    virtual int         IsA(const TWuiName Class,
                             const TWuiName Method=(char *)0);
    virtual long        Get(TWuiPath Path, TWuiArgs *Args,
                            char *Buffer, size_t MaxLength);
    virtual long        Set(TWuiPath Path, TWuiArgs *Args,
                                         const char *Buffer);
    static AWuiObject *ClassConstructor(const TWuiName Name);
    };

static TWuiRegister RegisterTWuiColorProperty(
    "p_Color", TWuiColorProperty::ClassConstructor);

#endif

